function [bpm, notesByCh] = parseMidiLog(filename)
% Extract tempo and notes from a file of MIDI events.
% Reads the text file specified by `filename`.  The first content line
% should specify the tempo in beats-per-minute, which is returned in `bpm`.
% Subsequent content lines represent MIDI events (ordered by time) with the
% following fields:
%   <time [beats]> <channel> <event type> <note> <velocity>
% Blank lines and lines starting with '#' are ignored.
% Returns `notesByCh`, a 1D cell array of nested 1D cell arrays containing Note
% objects, such that `notesByCh{ch}{k}` is the `k`th note played on the `ch`th
% channel.  Each channel's instrument is monophonic, so keys pressed while
% another key is held down are ignored.

