function tokens = tokenizeLine(line)
% Split a string into words separated by whitespace.
% `line` is a 1-row character array containing plain text (but no newline
% characters).  Upon return, `tokens` is a 1-row cell array where each
% cell contains a non-empty character vector corresponding to a
% whitespace-delimited token from `line` (the order of cells matches the
% order of token occurrence in `line`).  Multiple consecutive whitespace
% characters should be treated as a single delimiter.
%
% Example: tokenizeLine('Hello world!  1112') returns
%             {'Hello', 'world!', '1112'}

