function writeMidiLog(notesByCh, bpm, filename)
% Convert Note objects to MIDI events and write them to a file.
% `notesByCh` is a 1D cell array (one cell per channel) containing 1D cell
% arrays of Note objects, such that `notesByCh{ch}{k}` is the `k`th note played
% on the `ch`th channel.  Each Note is converted to a pair of events: one
% note-on and one note-off.  `bpm` (in beats-per-minute) is the tempo to
% use when converting times to beats.  Events for all channels are
% interleaved and written in timestamp order to the file specified by
% `filename`.


% Recommended subfunction to implement (you may change the header if you
% wish, but be sure to update the specification)

function [s1, s2] = note2log(note, ch, bpm)
% Convert a Note object to a pair of MIDI log strings.
% `s1` is the string for the note-on event, and `s2` is the string for the
% note-off event.  Both events are assigned to channel `ch`.  The tempo
% `bpm` (in beats-per-minute) is used to convert times from seconds to
% beats.

